import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class SwitchComponent implements ControlValueAccessor {
    uiChange: EventEmitter<boolean>;
    forId: string;
    value: string;
    name: string;
    set disabled(isDisabled: any);
    get disabled(): any;
    set readonly(isReadonly: any);
    get readonly(): any;
    set checked(isChecked: any);
    get checked(): any;
    private onChange;
    private onTouched;
    private _disabled;
    private _readonly;
    private _checked;
    click(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
