import { OnDestroy, OnInit, ElementRef, ViewContainerRef, ChangeDetectorRef } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { ComponentHostDirective } from '../component-host.directive';
import { ViewState, ViewStateService } from './view-state.service';
import { RouterService } from '../router/router.service';
import { ActionSheetService } from '../../other/index';
export declare class ViewComponent implements OnInit, OnDestroy {
    private viewStateService;
    private viewContainerRef;
    private _activatedRoute;
    private changeDetectorRef;
    private actionSheetService;
    private elementRef;
    private routerService;
    componentHost: ComponentHostDirective;
    componentFactory: any;
    openMoveBack: boolean;
    parentContexts: any;
    activatedRoute: ActivatedRoute;
    set state(value: ViewState);
    get state(): ViewState;
    get sleep(): boolean;
    private _state;
    private subs;
    private childInstance;
    private componentRef;
    constructor(viewStateService: ViewStateService, viewContainerRef: ViewContainerRef, _activatedRoute: ActivatedRoute, changeDetectorRef: ChangeDetectorRef, actionSheetService: ActionSheetService, elementRef: ElementRef, routerService: RouterService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
