import { QueryList, AfterViewInit, OnInit, OnDestroy, ElementRef, EventEmitter } from '@angular/core';
import { AppController } from '../../app/index';
import { SlideItemComponent } from '../slide-item/slide-item.component';
import { PanEvent } from '../../touch';
export declare class SlideComponent implements OnInit, AfterViewInit, OnDestroy {
    private elementRef;
    private scale;
    private appController;
    items: QueryList<SlideItemComponent>;
    uiPlayed: EventEmitter<number>;
    initIndex: number;
    speed: number;
    steps: number;
    set autoPlay(v: boolean);
    get autoPlay(): boolean;
    get index(): number;
    touchAction: string;
    private progress;
    private oldProgress;
    private timer;
    private animateId;
    private containerWidth;
    private subs;
    private _autoPlay;
    constructor(elementRef: ElementRef, scale: number, appController: AppController);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    touch(event: PanEvent): void;
    play(): void;
    private animate;
    private updateChildrenStyle;
}
