import { ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { TabViewItemService } from './tab-view-item.service';
import { ViewStateService } from '../view/view-state.service';
export declare class TabViewItemComponent implements OnDestroy, OnInit {
    private changeDetectorRef;
    private viewStateService;
    private tabViewItemService;
    name: string;
    set active(value: boolean);
    get active(): boolean;
    private _active;
    private isInit;
    private subs;
    constructor(changeDetectorRef: ChangeDetectorRef, viewStateService: ViewStateService, tabViewItemService: TabViewItemService);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
